(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8379,        220]
NotebookOptionsPosition[      7937,        201]
NotebookOutlinePosition[      8393,        219]
CellTagsIndexPosition[      8350,        216]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"CreatePalette", "[", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Make Reference Link\>\"", ",", "11", ",", "White"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"bs", "=", 
              RowBox[{"{", 
               RowBox[{"ButtonBoxOptions", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"0.6", ",", "0.6", ",", "0.8"}], "]"}]}], ",", 
                  RowBox[{"ButtonMargins", "\[Rule]", "4"}]}], "}"}]}], 
               "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"tgtStr", "=", 
              RowBox[{"NotebookRead", "[", 
               RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
             RowBox[{"NotebookWrite", "[", 
              RowBox[{
               RowBox[{"InputNotebook", "[", "]"}], ",", 
               RowBox[{"Cell", "[", 
                RowBox[{
                 RowBox[{"BoxData", "[", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{"tgtStr", ",", 
                    RowBox[{"BaseStyle", "\[Rule]", "\"\<Link\>\""}], ",", 
                    RowBox[{"ButtonData", "\[Rule]", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<paclet:ref/\>\"", ",", "tgtStr"}], "]"}]}]}],
                    "]"}], "]"}], ",", "\"\<InlineFormula\>\""}], "]"}]}], 
              "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
          RowBox[{"Background", "\[Rule]", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], 
        "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Make Format Link\>\"", ",", "11", ",", "White"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"bs", "=", 
              RowBox[{"{", 
               RowBox[{"ButtonBoxOptions", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"0.6", ",", "0.6", ",", "0.8"}], "]"}]}], ",", 
                  RowBox[{"ButtonMargins", "\[Rule]", "4"}]}], "}"}]}], 
               "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"tgtStr", "=", 
              RowBox[{"NotebookRead", "[", 
               RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
             RowBox[{"NotebookWrite", "[", 
              RowBox[{
               RowBox[{"InputNotebook", "[", "]"}], ",", 
               RowBox[{"Cell", "[", 
                RowBox[{
                 RowBox[{"BoxData", "[", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{"tgtStr", ",", 
                    RowBox[{"BaseStyle", "\[Rule]", "\"\<Link\>\""}], ",", 
                    RowBox[{"ButtonData", "\[Rule]", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<paclet:ref/format/\>\"", ",", "tgtStr"}], 
                    "]"}]}]}], "]"}], "]"}], ",", "\"\<InlineFormula\>\""}], 
                "]"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
          RowBox[{"Background", "\[Rule]", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], 
        "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Make Guide Page Link\>\"", ",", "11", ",", "White"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"bs", "=", 
              RowBox[{"{", 
               RowBox[{"ButtonBoxOptions", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"0.6", ",", "0.6", ",", "0.8"}], "]"}]}], ",", 
                  RowBox[{"ButtonMargins", "\[Rule]", "4"}]}], "}"}]}], 
               "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"tgtStr", "=", 
              RowBox[{"NotebookRead", "[", 
               RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
             RowBox[{"NotebookWrite", "[", 
              RowBox[{
               RowBox[{"InputNotebook", "[", "]"}], ",", 
               RowBox[{"ButtonBox", "[", 
                RowBox[{"tgtStr", ",", 
                 RowBox[{"BaseStyle", "\[Rule]", "\"\<Link\>\""}], ",", 
                 RowBox[{"ButtonData", "\[Rule]", 
                  RowBox[{"StringJoin", "[", 
                   RowBox[{"\"\<paclet:guide/\>\"", ",", "tgtStr"}], 
                   "]"}]}]}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
           "]"}], ",", 
          RowBox[{"Background", "\[Rule]", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], 
        "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Spacings", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", ".35"}], "}"}]}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{".4", ",", ".4", ",", ".6"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"Magnification", "\[Rule]", "1.5"}], ",", 
   RowBox[{"WindowTitle", "\[Rule]", "\"\<Create Reference Links\>\""}], ",", 
   
   RowBox[{"WindowElements", "\[Rule]", 
    RowBox[{"{", "\"\<MagnificationPopUp\>\"", "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"NotebookObject", "[", 
   PanelBox[GridBox[{
      {
       TooltipBox[
        ButtonBox[
         StyleBox[
          
          DynamicBox[FEPrivate`FrontEndResource[
           "FEBitmaps", "ManipulatePasteIcon"],
           ImageSizeCache->{20., {4., 16.}}],
          DynamicUpdating->True],
         Appearance->{Automatic, None},
         BaseStyle->{},
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetSelectedNotebook[
             NotebookObject[
              FrontEndObject[
               LinkObject["kqs_shm", 1, 1]], 76]]}],
         Evaluator->None,
         Method->"Queued"],
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEStrings", "NotebookObjectToTheFront"]]], 
       StyleBox["\<\"Create Reference Links\"\>",
        StripOnInput->False,
        FontColor->GrayLevel[0.5]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}}],
    FrameMargins->{{4, 5}, {4, 4}}], "]"}],
  NotebookObject[
   FrontEndObject[
    LinkObject["kqs_shm", 1, 1]], 76],
  Editable->False]], "Output"]
}, Open  ]]
},
WindowSize->{1392, 856},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 12, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 6176, 138, 640, "Input"],
Cell[6746, 162, 1175, 36, 61, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
