(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     32742,        855]
NotebookOptionsPosition[     30324,        776]
NotebookOutlinePosition[     31641,        818]
CellTagsIndexPosition[     31558,        813]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Make palette to switch environments, edit stylesheet, and make notebook \
saveable\
\>", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CreatePalette", "[", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Working\>\"", ",", 
            RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
            RowBox[{"FontColor", "\[Rule]", 
             RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"CurrentValue", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             "ScreenStyleEnvironment"}], "]"}], "=", "\"\<Working\>\""}], ",", 
          RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
          RowBox[{"Background", "\[Rule]", " ", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<SlideShow\>\"", ",", 
            RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
            RowBox[{"FontColor", "\[Rule]", 
             RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"CurrentValue", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             "ScreenStyleEnvironment"}], "]"}], "=", "\"\<SlideShow\>\""}], 
          ",", 
          RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
          RowBox[{"Background", "\[Rule]", " ", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Printout\>\"", ",", 
            RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
            RowBox[{"FontColor", "\[Rule]", 
             RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"CurrentValue", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             "ScreenStyleEnvironment"}], "]"}], "=", "\"\<Printout\>\""}], 
          ",", 
          RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
          RowBox[{"Background", "\[Rule]", " ", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Toggle Page Breaks\>\"", ",", 
            RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
            RowBox[{"FontColor", "\[Rule]", 
             RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
          RowBox[{"SetOptions", "[", 
           RowBox[{
            RowBox[{"InputNotebook", "[", "]"}], ",", 
            RowBox[{"ShowPageBreaks", "\[Rule]", "Toggle"}]}], "]"}], ",", 
          RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
          RowBox[{"Background", "\[Rule]", " ", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".1", ",", ".1", ",", ".1"}], "]"}]}]}], "]"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Edit StyleSheet\>\"", ",", 
            RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
            RowBox[{"FontColor", "\[Rule]", 
             RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"FrontEndExecute", "[", 
             RowBox[{"{", 
              RowBox[{"FrontEndToken", "[", 
               RowBox[{
                RowBox[{"FrontEnd`InputNotebook", "[", "]"}], ",", 
                "\"\<EditStyleDefinitions\>\""}], "]"}], "}"}], "]"}], "&"}], 
           ")"}], ",", 
          RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
          RowBox[{"Background", "\[Rule]", " ", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Tooltip", "[", 
             RowBox[{"\"\<Save NB\>\"", ",", 
              RowBox[{"StringForm", "[", 
               RowBox[{"\"\<Set Saveable\[Rule]False then save nb in \!\(\*
StyleBox[\"Mathematica\",
FontSlant->\"Italic\"]\) `1`\>\"", ",", "$VersionNumber"}], "]"}]}], "]"}], 
            ",", 
            RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
            RowBox[{"FontColor", "\[Rule]", 
             RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"SetOptions", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             RowBox[{"Saveable", "\[Rule]", "False"}]}], "]"}], ";", 
           RowBox[{"NotebookSave", "[", 
            RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ",", 
          RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
          RowBox[{"Background", "\[Rule]", " ", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}]}], 
      "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Spacings", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", ".25"}], "}"}]}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{".4", ",", ".4", ",", ".6"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"Magnification", "\[Rule]", "1.5"}], ",", 
   RowBox[{"WindowTitle", "\[Rule]", "\"\<ChangeEnvironments\>\""}], ",", 
   RowBox[{"WindowElements", "\[Rule]", 
    RowBox[{"{", "\"\<MagnificationPopUp\>\"", "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"NotebookObject", "[", 
   PanelBox[GridBox[{
      {
       TooltipBox[
        ButtonBox[
         StyleBox[
          
          DynamicBox[FEPrivate`FrontEndResource[
           "FEBitmaps", "ManipulatePasteIcon"],
           ImageSizeCache->{16., {5., 11.}}],
          DynamicUpdating->True],
         Appearance->{Automatic, None},
         BaseStyle->{},
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetSelectedNotebook[
             NotebookObject[
              FrontEndObject[
               LinkObject["kqs_shm", 1, 1]], 82]]}],
         Evaluator->None,
         Method->"Queued"],
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEStrings", "NotebookObjectToTheFront"]]], 
       StyleBox["\<\"ChangeEnvironments\"\>",
        StripOnInput->False,
        FontColor->GrayLevel[0.5]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}}],
    FrameMargins->{{4, 5}, {4, 4}}], "]"}],
  NotebookObject[
   FrontEndObject[
    LinkObject["kqs_shm", 1, 1]], 82],
  Editable->False]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Make Reference and Format links", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"CreatePalette", "[", 
   RowBox[{
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<Make Reference Link\>\"", ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"tgtStr", "=", 
             RowBox[{"NotebookRead", "[", 
              RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
            RowBox[{"NotebookWrite", "[", 
             RowBox[{
              RowBox[{"InputNotebook", "[", "]"}], ",", 
              RowBox[{"Cell", "[", 
               RowBox[{
                RowBox[{"BoxData", "[", 
                 RowBox[{"ButtonBox", "[", 
                  RowBox[{"tgtStr", ",", 
                   RowBox[{"BaseStyle", "\[Rule]", "\"\<Link\>\""}], ",", 
                   RowBox[{"ButtonData", "\[Rule]", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<paclet:ref/\>\"", ",", "tgtStr"}], "]"}]}]}],
                   "]"}], "]"}], ",", "\"\<InlineFormula\>\""}], "]"}]}], 
             "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<Make Format Link\>\"", ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"tgtStr", "=", 
             RowBox[{"NotebookRead", "[", 
              RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
            RowBox[{"NotebookWrite", "[", 
             RowBox[{
              RowBox[{"InputNotebook", "[", "]"}], ",", 
              RowBox[{"Cell", "[", 
               RowBox[{
                RowBox[{"BoxData", "[", 
                 RowBox[{"ButtonBox", "[", 
                  RowBox[{"tgtStr", ",", 
                   RowBox[{"BaseStyle", "\[Rule]", "\"\<Link\>\""}], ",", 
                   RowBox[{"ButtonData", "\[Rule]", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<paclet:ref/format/\>\"", ",", "tgtStr"}], 
                    "]"}]}]}], "]"}], "]"}], ",", "\"\<InlineFormula\>\""}], 
               "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Spacings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", ".15"}], "}"}]}], ",", 
      RowBox[{"Background", "\[Rule]", 
       RowBox[{"RGBColor", "[", 
        RowBox[{".4", ",", ".4", ",", ".6"}], "]"}]}]}], "]"}], ",", 
    RowBox[{"Magnification", "\[Rule]", "1.5"}], ",", 
    RowBox[{"WindowTitle", "\[Rule]", "\"\<Make Ref/Format Links\>\""}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"WindowElements", "\[Rule]", 
     RowBox[{"{", "\"\<MagnificationPopUp\>\"", "}"}]}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"NotebookObject", "[", 
   PanelBox[GridBox[{
      {
       TooltipBox[
        ButtonBox[
         StyleBox[
          
          DynamicBox[FEPrivate`FrontEndResource[
           "FEBitmaps", "ManipulatePasteIcon"],
           ImageSizeCache->{16., {5., 11.}}],
          DynamicUpdating->True],
         Appearance->{Automatic, None},
         BaseStyle->{},
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetSelectedNotebook[
             NotebookObject[
              FrontEndObject[
               LinkObject["rxg_shm", 1, 1]], 43]]}],
         Evaluator->None,
         Method->"Queued"],
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEStrings", "NotebookObjectToTheFront"]]], 
       StyleBox["\<\"Make Ref/Format Links\"\>",
        StripOnInput->False,
        FontColor->GrayLevel[0.5]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}}],
    FrameMargins->{{4, 5}, {4, 4}}], "]"}],
  NotebookObject[
   FrontEndObject[
    LinkObject["rxg_shm", 1, 1]], 43],
  Editable->False]], "Output"]
}, Open  ]],

Cell[TextData[{
 "Here is a reference link: ",
 Cell[BoxData[
  ButtonBox["Plot",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Plot"]], "InlineFormula"]
}], "Text"],

Cell[TextData[{
 "Here is a format link: ",
 Cell[BoxData[
  ButtonBox["SWF",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/format/SWF"]], "InlineFormula"]
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Create Seminar styles palette", "Subsection",
 CellTags->"Paste seminar styles"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"CreatePalette", "[", 
   RowBox[{
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<Apply WEG Stylesheet\>\"", ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"SetOptions", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             RowBox[{"StyleDefinitions", "\[Rule]", 
              RowBox[{"FrontEnd`FileName", "[", 
               RowBox[{
                RowBox[{"{", "\"\<Wolfram\>\"", "}"}], ",", 
                "\"\<WEGSeminar.nb\>\""}], "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".15", ",", ".15", ",", ".15"}], "]"}]}]}], "]"}], "}"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
              "\"\<SlideShow Bar\>\"", ",", "\"\<Paste slideshow bar\>\""}], 
              "]"}], ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"NotebookWrite", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             RowBox[{"Cell", "[", 
              RowBox[{
              "\"\<\>\"", ",", "\"\<SlideShowNavigationBar\>\"", ",", 
               RowBox[{"CellTags", "\[Rule]", "\"\<SlideShowHeader\>\""}]}], 
              "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
              "\"\<Section\>\"", ",", "\"\<Paste Section template\>\""}], 
              "]"}], ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"NotebookWrite", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             RowBox[{"Cell", "[", 
              RowBox[{
               RowBox[{"TextData", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"StyleBox", "[", 
                   RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.5", "]"}]}]}], "]"}], ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{"\"\<Overview\>\"", ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "1", "]"}]}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.5", "]"}]}]}], "]"}], ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.5", "]"}]}]}], "]"}], ",", 
                  "\"\< \>\""}], "}"}], "]"}], ",", "\"\<Section\>\""}], 
              "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
              "\"\<Subsection\>\"", ",", 
               "\"\<Paste Subsection template\>\""}], "]"}], ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"NotebookWrite", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             RowBox[{"Cell", "[", 
              RowBox[{
               RowBox[{"TextData", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"StyleBox", "[", 
                   RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.5", "]"}]}]}], "]"}], ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{"\"\<Section Title\>\"", ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "1", "]"}]}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.5", "]"}]}]}], "]"}], ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.5", "]"}]}]}], "]"}], ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{"\"\< Subsection subtitle\>\"", ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.5", "]"}]}]}], "]"}]}], 
                 "}"}], "]"}], ",", "\"\<Subsection\>\"", ",", 
               RowBox[{"CellDingbat", "\[Rule]", "None"}]}], "]"}]}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
              "\"\<Text\>\"", ",", "\"\<Paste Text cell template\>\""}], 
              "]"}], ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"NotebookWrite", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             RowBox[{"Cell", "[", 
              RowBox[{"\"\<Some sample text\>\"", ",", "\"\<Text\>\""}], 
              "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
              "\"\<MathCaption\>\"", ",", 
               "\"\<Paste MathCaption cell template\>\""}], "]"}], ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"NotebookWrite", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             RowBox[{"Cell", "[", 
              RowBox[{
              "\"\<Some sample MathCaption text\>\"", ",", 
               "\"\<MathCaption\>\""}], "]"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
              "\"\<Item\>\"", ",", 
               "\"\<Paste Bulleted list cell template\>\""}], "]"}], ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"NotebookWrite", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             RowBox[{"Cell", "[", 
              RowBox[{"\"\<itemized list\>\"", ",", "\"\<Item\>\""}], "]"}]}],
             "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
              "\"\<PictureCaption\>\"", ",", 
               "\"\<Paste PictureCaption cell template\>\""}], "]"}], ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"NotebookWrite", "[", 
            RowBox[{
             RowBox[{"InputNotebook", "[", "]"}], ",", 
             RowBox[{"Cell", "[", 
              RowBox[{
              "\"\<picture caption\>\"", ",", "\"\<PictureCaption\>\""}], 
              "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".2", ",", ".2", ",", ".2"}], "]"}]}]}], "]"}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Spacings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", ".2"}], "}"}]}], ",", 
      RowBox[{"Background", "\[Rule]", 
       RowBox[{"RGBColor", "[", 
        RowBox[{".4", ",", ".4", ",", ".6"}], "]"}]}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Magnification", "\[Rule]", "1.5"}], ",", 
    RowBox[{"WindowTitle", "\[Rule]", "\"\<Seminar Styles\>\""}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"WindowElements", "\[Rule]", 
     RowBox[{"{", "\"\<MagnificationPopUp\>\"", "}"}]}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellTags->"Paste seminar styles"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"NotebookObject", "[", 
   PanelBox[GridBox[{
      {
       TooltipBox[
        ButtonBox[
         StyleBox[
          
          DynamicBox[FEPrivate`FrontEndResource[
           "FEBitmaps", "ManipulatePasteIcon"],
           ImageSizeCache->{16., {5., 11.}}],
          DynamicUpdating->True],
         Appearance->{Automatic, None},
         BaseStyle->{},
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetSelectedNotebook[
             NotebookObject[
              FrontEndObject[
               LinkObject["qxj_shm", 1, 1]], 98]]}],
         Evaluator->None,
         Method->"Queued"],
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEStrings", "NotebookObjectToTheFront"]]], 
       StyleBox["\<\"Seminar Styles\"\>",
        StripOnInput->False,
        FontColor->GrayLevel[0.5]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}}],
    FrameMargins->{{4, 5}, {4, 4}}], "]"}],
  NotebookObject[
   FrontEndObject[
    LinkObject["qxj_shm", 1, 1]], 98],
  Editable->False]], "Output",
 CellTags->"Paste seminar styles"]
}, Open  ]],

Cell["picture caption", "PictureCaption",
 CellTags->"Paste seminar styles"],

Cell["bulleted list", "BulletedList",
 CellTags->"Paste seminar styles"],

Cell["Some sample MathCaption text", "MathCaption",
 CellTags->"Paste seminar styles"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Create WEG styles palette", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"styles", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Title\>\"", ",", "\"\<Subtitle\>\"", ",", "\"\<Section\>\"", ",", 
     "\"\<Subsection\>\"", ",", "\"\<Subsubsection\>\"", ",", 
     "\"\<OverviewSection\>\"", ",", "\"\<Text\>\"", ",", 
     "\"\<MathCaption\>\"", ",", "\"\<BulletItem\>\"", ",", 
     "\"\<BulletText\>\"", ",", "\"\<Input\>\"", ",", "\"\<NonPrintInput\>\"",
      ",", "\"\<NumberedItem\>\"", ",", "\"\<IT\>\"", ",", "\"\<Menu\>\"", 
     ",", "\"\<MR\>\"", ",", "\"\<DisplayFormula\>\"", ",", "\"\<Picture\>\"",
      ",", "\"\<NonPrintSubsection\>\""}], "}"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CreatePalette", "[", 
  RowBox[{
   RowBox[{"Grid", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Button", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"#1", ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", ".9", "]"}]}]}], "]"}], ",", 
           RowBox[{"FrontEndExecute", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{"FrontEndToken", "[", 
              RowBox[{
               RowBox[{"InputNotebook", "[", "]"}], ",", "\"\<Style\>\"", ",",
                "#1"}], "]"}], "}"}], "]"}], ",", 
           RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
           RowBox[{"Background", "\[Rule]", " ", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".3", ",", ".3", ",", ".3"}], "]"}]}]}], "]"}], "}"}], 
        "&"}], ",", "styles"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Spacings", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", ".15"}], "}"}]}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{".4", ",", ".4", ",", ".6"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"RGBColor", "[", 
     RowBox[{".4", ",", ".4", ",", ".6"}], "]"}]}], ",", 
   RowBox[{"Magnification", "\[Rule]", "1.5"}], ",", 
   RowBox[{"WindowTitle", "\[Rule]", "\"\<WEG Styles\>\""}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"WindowElements", "\[Rule]", 
    RowBox[{"{", "\"\<MagnificationPopUp\>\"", "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"NotebookObject", "[", 
   PanelBox[GridBox[{
      {
       TooltipBox[
        ButtonBox[
         StyleBox[
          
          DynamicBox[FEPrivate`FrontEndResource[
           "FEBitmaps", "ManipulatePasteIcon"],
           ImageSizeCache->{16., {5., 11.}}],
          DynamicUpdating->True],
         Appearance->{Automatic, None},
         BaseStyle->{},
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetSelectedNotebook[
             NotebookObject[
              FrontEndObject[
               LinkObject["xi3_shm", 1, 1]], 34]]}],
         Evaluator->None,
         Method->"Queued"],
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEStrings", "NotebookObjectToTheFront"]]], 
       StyleBox["\<\"WEG Styles\"\>",
        StripOnInput->False,
        FontColor->GrayLevel[0.5]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}}],
    FrameMargins->{{4, 5}, {4, 4}}], "]"}],
  NotebookObject[
   FrontEndObject[
    LinkObject["xi3_shm", 1, 1]], 34],
  Editable->False]], "Output"]
}, Open  ]]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowSize->{1252, 757},
WindowMargins->{{25, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.25,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 12, \
2010)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> 
     FrontEnd`FileName[{"Wolfram", ""}, "WEGSeminar.nb", CharacterEncoding -> 
       "WindowsANSI"]]]}, Visible -> False, FrontEndVersion -> 
  "8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 12, 2010)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Paste seminar styles"->{
  Cell[13391, 358, 86, 1, 62, "Subsection",
   CellTags->"Paste seminar styles"],
  Cell[13502, 363, 11698, 259, 751, "Input",
   CellTags->"Paste seminar styles"],
  Cell[25203, 624, 1202, 37, 63, "Output",
   CellTags->"Paste seminar styles"],
  Cell[26420, 664, 76, 1, 33, "PictureCaption",
   CellTags->"Paste seminar styles"],
  Cell[26499, 667, 72, 1, 25, "BulletedList",
   CellTags->"Paste seminar styles"],
  Cell[26574, 670, 86, 1, 47, "MathCaption",
   CellTags->"Paste seminar styles"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Paste seminar styles", 31035, 797}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 112, 3, 62, "Subsection"],
Cell[CellGroupData[{
Cell[704, 29, 6046, 138, 428, "Input"],
Cell[6753, 169, 1171, 36, 63, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7973, 211, 53, 0, 62, "Subsection"],
Cell[CellGroupData[{
Cell[8051, 215, 3770, 83, 352, "Input"],
Cell[11824, 300, 1174, 36, 63, "Output"]
}, Open  ]],
Cell[13013, 339, 168, 6, 28, "Text"],
Cell[13184, 347, 170, 6, 28, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13391, 358, 86, 1, 62, "Subsection",
 CellTags->"Paste seminar styles"],
Cell[CellGroupData[{
Cell[13502, 363, 11698, 259, 751, "Input",
 CellTags->"Paste seminar styles"],
Cell[25203, 624, 1202, 37, 63, "Output",
 CellTags->"Paste seminar styles"]
}, Open  ]],
Cell[26420, 664, 76, 1, 33, "PictureCaption",
 CellTags->"Paste seminar styles"],
Cell[26499, 667, 72, 1, 25, "BulletedList",
 CellTags->"Paste seminar styles"],
Cell[26574, 670, 86, 1, 47, "MathCaption",
 CellTags->"Paste seminar styles"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26697, 676, 47, 0, 62, "Subsection"],
Cell[26747, 678, 641, 12, 86, "Input"],
Cell[CellGroupData[{
Cell[27413, 694, 1717, 40, 143, "Input"],
Cell[29133, 736, 1163, 36, 63, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
