(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5599,        198]
NotebookOptionsPosition[      4737,        165]
NotebookOutlinePosition[      5216,        184]
CellTagsIndexPosition[      5173,        181]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "RemoveCellOption", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RemoveCellOption", "[", 
   RowBox[{"file_String", ",", "opt_Symbol"}], "]"}], ":=", 
  RowBox[{"DeleteCases", "[", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"file", ",", "\"\<Notebook\>\""}], "]"}], ",", 
    RowBox[{"opt", "\[Rule]", "_"}], ",", "Infinity"}], "]"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"RemoveCellOption", "[", 
   RowBox[{"file_String", ",", "opts_List"}], "]"}], ":=", 
  RowBox[{"DeleteCases", "[", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"file", ",", "\"\<Notebook\>\""}], "]"}], ",", 
    RowBox[{"Alternatives", "@@", 
     RowBox[{"Thread", "[", 
      RowBox[{"Rule", "[", 
       RowBox[{"opts", ",", "_"}], "]"}], "]"}]}], ",", "Infinity"}], 
   "]"}]}]], "Input"],

Cell["First create a path to the source style sheet:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"source", "=", 
  RowBox[{
  "FileNameJoin", "[", "\"\</Users/wellin/Desktop/test.nb\>\"", 
   "]"}]}]], "Input"],

Cell[BoxData["\<\"/Users/wellin/Desktop/test.nb\"\>"], "Output"]
}, Open  ]],

Cell["\<\
Then run the tool removing one option; produces an untitled notebook that \
should then be saved.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NotebookPut", "[", 
  RowBox[{"RemoveCellOption", "[", 
   RowBox[{"source", ",", "CellTags"}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"NotebookObject", "[", 
   PanelBox[GridBox[{
      {
       TooltipBox[
        ButtonBox[
         StyleBox[
          
          DynamicBox[FEPrivate`FrontEndResource[
           "FEBitmaps", "ManipulatePasteIcon"],
           ImageSizeCache->{16., {5., 11.}}],
          DynamicUpdating->True],
         Appearance->{Automatic, None},
         BaseStyle->{},
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetSelectedNotebook[
             NotebookObject[
              FrontEndObject[
               LinkObject["kqx_shm", 1, 1]], 109]]}],
         Evaluator->None,
         Method->"Queued"],
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEStrings", "NotebookObjectToTheFront"]]], 
       StyleBox["\<\"Untitled-7\"\>",
        StripOnInput->False,
        FontColor->GrayLevel[0.5]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}}],
    FrameMargins->{{4, 5}, {4, 4}}], "]"}],
  NotebookObject[
   FrontEndObject[
    LinkObject["kqx_shm", 1, 1]], 109],
  Editable->False]], "Output"]
}, Open  ]],

Cell["\<\
Then run the tool removing multiple options; produces an untitled notebook \
that should then be saved.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NotebookPut", "[", 
  RowBox[{"RemoveCellOption", "[", 
   RowBox[{"source", ",", 
    RowBox[{"{", 
     RowBox[{"CellMargins", ",", "CellChangeTimes"}], "}"}]}], "]"}], 
  "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"NotebookObject", "[", 
   PanelBox[GridBox[{
      {
       TooltipBox[
        ButtonBox[
         StyleBox[
          
          DynamicBox[FEPrivate`FrontEndResource[
           "FEBitmaps", "ManipulatePasteIcon"],
           ImageSizeCache->{16., {5., 11.}}],
          DynamicUpdating->True],
         Appearance->{Automatic, None},
         BaseStyle->{},
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetSelectedNotebook[
             NotebookObject[
              FrontEndObject[
               LinkObject["nz6_shm", 1, 1]], 48]]}],
         Evaluator->None,
         Method->"Queued"],
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEStrings", "NotebookObjectToTheFront"]]], 
       StyleBox["\<\"Untitled-21\"\>",
        StripOnInput->False,
        FontColor->GrayLevel[0.5]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}}],
    FrameMargins->{{4, 5}, {4, 4}}], "]"}],
  NotebookObject[
   FrontEndObject[
    LinkObject["nz6_shm", 1, 1]], 48],
  Editable->False]], "Output"]
}, Open  ]]
},
WindowSize->{753, 666},
WindowMargins->{{Automatic, 452}, {126, Automatic}},
ShowSelection->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 424, 11, 72, "Input"],
Cell[972, 33, 436, 12, 72, "Input"],
Cell[1411, 47, 62, 0, 32, "Text"],
Cell[CellGroupData[{
Cell[1498, 51, 136, 4, 33, "Input"],
Cell[1637, 57, 64, 0, 33, "Output"]
}, Open  ]],
Cell[1716, 60, 121, 3, 32, "Text"],
Cell[CellGroupData[{
Cell[1862, 67, 143, 3, 33, "Input"],
Cell[2008, 72, 1165, 36, 49, "Output"]
}, Open  ]],
Cell[3188, 111, 127, 3, 32, "Text"],
Cell[CellGroupData[{
Cell[3340, 118, 214, 6, 33, "Input"],
Cell[3557, 126, 1164, 36, 49, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
