(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6736,        217]
NotebookOptionsPosition[      6359,        198]
NotebookOutlinePosition[      6778,        217]
CellTagsIndexPosition[      6735,        214]
WindowTitle->Seminar Styles
WindowFrame->Palette*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[GridBox[{
    {
     ButtonBox[
      StyleBox["\<\"Apply WEG Stylesheet\"\>",
       StripOnInput->False,
       FontSize->11,
       FontColor->GrayLevel[0.9]],
      Appearance->"Palette",
      Background->RGBColor[0.15, 0.15, 0.15],
      ButtonFunction:>SetOptions[
        InputNotebook[], StyleDefinitions -> 
        FrontEnd`FileName[{"Wolfram"}, "WEGSeminar.nb"]],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox[
       TagBox[
        TooltipBox["\<\"SlideShow Bar\"\>",
         "\"Paste slideshow bar\"",
         TooltipStyle->"TextStyling"],
        Annotation[#, "Paste slideshow bar", "Tooltip"]& ],
       StripOnInput->False,
       FontSize->11,
       FontColor->GrayLevel[0.9]],
      Appearance->"Palette",
      Background->RGBColor[0.2, 0.2, 0.2],
      ButtonFunction:>NotebookWrite[
        InputNotebook[], 
        Cell["", "SlideShowNavigationBar", CellTags -> "SlideShowHeader"]],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox[
       TagBox[
        TooltipBox["\<\"Section\"\>",
         "\"Paste Section template\"",
         TooltipStyle->"TextStyling"],
        Annotation[#, "Paste Section template", "Tooltip"]& ],
       StripOnInput->False,
       FontSize->11,
       FontColor->GrayLevel[0.9]],
      Appearance->"Palette",
      Background->RGBColor[0.2, 0.2, 0.2],
      ButtonFunction:>NotebookWrite[
        InputNotebook[], 
        Cell[
         TextData[{
           StyleBox[" ", Background -> GrayLevel[0.500008]], 
           StyleBox[
           "Overview", FontColor -> GrayLevel[1], Background -> 
            GrayLevel[0.500008]], 
           StyleBox[" ", Background -> GrayLevel[0.500008]], " "}], 
         "Section"]],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox[
       TagBox[
        TooltipBox["\<\"Subsection\"\>",
         "\"Paste Subsection template\"",
         TooltipStyle->"TextStyling"],
        Annotation[#, "Paste Subsection template", "Tooltip"]& ],
       StripOnInput->False,
       FontSize->11,
       FontColor->GrayLevel[0.9]],
      Appearance->"Palette",
      Background->RGBColor[0.2, 0.2, 0.2],
      ButtonFunction:>NotebookWrite[
        InputNotebook[], 
        Cell[
         TextData[{
           StyleBox[" ", Background -> GrayLevel[0.500008]], 
           StyleBox[
           "Section Title", FontColor -> GrayLevel[1], Background -> 
            GrayLevel[0.500008]], 
           StyleBox[" ", Background -> GrayLevel[0.500008]], 
           StyleBox[
           " Subsection subtitle", FontSlant -> "Italic", FontColor -> 
            GrayLevel[0.500008]]}], "Subsection", CellDingbat -> None]],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox[
       TagBox[
        TooltipBox["\<\"Text\"\>",
         "\"Paste Text cell template\"",
         TooltipStyle->"TextStyling"],
        Annotation[#, "Paste Text cell template", "Tooltip"]& ],
       StripOnInput->False,
       FontSize->11,
       FontColor->GrayLevel[0.9]],
      Appearance->"Palette",
      Background->RGBColor[0.2, 0.2, 0.2],
      ButtonFunction:>NotebookWrite[
        InputNotebook[], 
        Cell["Some sample text", "Text"]],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox[
       TagBox[
        TooltipBox["\<\"MathCaption\"\>",
         "\"Paste MathCaption cell template\"",
         TooltipStyle->"TextStyling"],
        Annotation[#, "Paste MathCaption cell template", "Tooltip"]& ],
       StripOnInput->False,
       FontSize->11,
       FontColor->GrayLevel[0.9]],
      Appearance->"Palette",
      Background->RGBColor[0.2, 0.2, 0.2],
      ButtonFunction:>NotebookWrite[
        InputNotebook[], 
        Cell["Some sample MathCaption text", "MathCaption"]],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox[
       TagBox[
        TooltipBox["\<\"Item\"\>",
         "\"Paste Bulleted list cell template\"",
         TooltipStyle->"TextStyling"],
        Annotation[#, "Paste Bulleted list cell template", "Tooltip"]& ],
       StripOnInput->False,
       FontSize->11,
       FontColor->GrayLevel[0.9]],
      Appearance->"Palette",
      Background->RGBColor[0.2, 0.2, 0.2],
      ButtonFunction:>NotebookWrite[
        InputNotebook[], 
        Cell["itemized list", "Item"]],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox[
       TagBox[
        TooltipBox["\<\"PictureCaption\"\>",
         "\"Paste PictureCaption cell template\"",
         TooltipStyle->"TextStyling"],
        Annotation[#, "Paste PictureCaption cell template", "Tooltip"]& ],
       StripOnInput->False,
       FontSize->11,
       FontColor->GrayLevel[0.9]],
      Appearance->"Palette",
      Background->RGBColor[0.2, 0.2, 0.2],
      ButtonFunction:>NotebookWrite[
        InputNotebook[], 
        Cell["picture caption", "PictureCaption"]],
      Evaluator->Automatic,
      Method->"Preemptive"]}
   },
   AutoDelete->False,
   GridBoxBackground->{"Columns" -> {{
        RGBColor[0.4, 0.4, 0.6]}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{1}}, "Rows" -> {{0.15}}}],
  "Grid"]],
 CellMargins->{{0, 0}, {0, 0}},
 CellBracketOptions->{"Color"->RGBColor[0.269993, 0.308507, 0.6]},
 CellHorizontalScrolling->True,
 PageBreakAbove->True,
 PageBreakWithin->False,
 ShowAutoStyles->True,
 LineSpacing->{1.25, 0},
 AutoItalicWords->{},
 ScriptMinSize->9,
 ShowStringCharacters->False,
 FontFamily:>CurrentValue["PanelFontFamily"],
 FontSize:>CurrentValue["PanelFontSize"]]
},
WindowSize->All,
WindowMargins->{{Automatic, 99}, {Automatic, 40}},
WindowElements->{},
WindowTitle->"Seminar Styles",
Magnification->1.5,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2010)",
StyleDefinitions->"Palette.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[586, 21, 5769, 175, 264, InheritFromParent,
 PageBreakAbove->True,
 PageBreakWithin->False]
}
]
*)

(* End of internal cache information *)

